Skip to main content
curl -X GET "https://checkout.noxpay.io/v2/naas/crossramp_checkouts?limit=20&offset=0" \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <signed-headers-signature>"
import requests

headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/crossramp_checkouts",
    headers=headers,
    params={"limit": 20, "offset": 0},
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ limit: 20, offset: 0 });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/crossramp_checkouts?${params}`, {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "version": "v2",
  "total": 12,
  "limit": 20,
  "offset": 0,
  "results": []
}

Query parameters

ParameterTypeDescription
limitintegerMaximum results per page (default: 20)
offsetintegerPagination offset (default: 0)

Response 200 OK

Each item in results has the same shape as the Get Checkout response.
curl -X GET "https://checkout.noxpay.io/v2/naas/crossramp_checkouts?limit=20&offset=0" \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <signed-headers-signature>"
import requests

headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/crossramp_checkouts",
    headers=headers,
    params={"limit": 20, "offset": 0},
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ limit: 20, offset: 0 });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/crossramp_checkouts?${params}`, {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "version": "v2",
  "total": 12,
  "limit": 20,
  "offset": 0,
  "results": []
}